{ config
, lib
, pkgs
, ...
}: {
  programs.steam = {
    enable = true;
    remotePlay.openFirewall = true;
    dedicatedServer.openFirewall = true;
  };
  programs.xwayland.enable = true;

  chaotic.steam.extraCompatPackages = with pkgs; [
    proton-ge-custom
  ];

  environment.systemPackages = with pkgs.unstable-os; [
    gamescope
  ];
}
